package org.implab.gradle.common.sources;

import javax.inject.Inject;

import org.gradle.api.Named;

/**
 * Canonical identity model for a declared layout layer.
 */
public abstract class LayoutLayer implements Named {
    private final String name;

    @Inject
    public LayoutLayer(String name) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name;
    }
}
